ALSA project - the C library reference: snd_pcm_extplug_t Struct Reference

ALSA project - the C library reference

Loading...
Searching...
No Matches
Data Fields
snd_pcm_extplug_t Struct Reference
External PCM plugin SDK » External Filter plugin SDK

`#include <pcm_extplug.h>`

## Data Fields
unsigned int | version
const char * | name
const snd_pcm_extplug_callback_t * | callback
void * | private_data
snd_pcm_t * | pcm
snd_pcm_stream_t | stream
snd_pcm_format_t | format
snd_pcm_subformat_t | subformat
unsigned int | channels
unsigned int | rate
snd_pcm_format_t | slave_format
snd_pcm_subformat_t | slave_subformat
unsigned int | slave_channels

## Detailed Description

Handle of extplug

Handle of external filter plugin

## Field Documentation

## ◆ callback

const snd_pcm_extplug_callback_t* snd_pcm_extplug_t::callback

callbacks of this plugin; must be filled before calling snd_pcm_extplug_create()

## ◆ channels

unsigned int snd_pcm_extplug_t::channels

channels hw parameter; filled after hw_params is caled

## ◆ format

snd_pcm_format_t snd_pcm_extplug_t::format

format hw parameter; filled after hw_params is caled

## ◆ name

const char* snd_pcm_extplug_t::name

name of this plugin; must be filled before calling snd_pcm_extplug_create()

## ◆ pcm

snd_pcm_t* snd_pcm_extplug_t::pcm

PCM handle filled by snd_pcm_extplug_create()

## ◆ private_data

void* snd_pcm_extplug_t::private_data

private data, which can be used freely in the driver callbacks

## ◆ rate

unsigned int snd_pcm_extplug_t::rate

rate hw parameter; filled after hw_params is caled

## ◆ slave_channels

unsigned int snd_pcm_extplug_t::slave_channels

slave_channels hw parameter; filled after hw_params is caled

## ◆ slave_format

snd_pcm_format_t snd_pcm_extplug_t::slave_format

slave_format hw parameter; filled after hw_params is caled

## ◆ slave_subformat

snd_pcm_subformat_t snd_pcm_extplug_t::slave_subformat

slave_subformat hw parameter; filled after hw_params is caled

## ◆ stream

snd_pcm_stream_t snd_pcm_extplug_t::stream

stream direction; read-only status

## ◆ subformat

snd_pcm_subformat_t snd_pcm_extplug_t::subformat

subformat hw parameter; filled after hw_params is caled

## ◆ version

unsigned int snd_pcm_extplug_t::version

protocol version; SND_PCM_EXTPLUG_VERSION must be filled here before calling snd_pcm_extplug_create()

The documentation for this struct was generated from the following file:

- /tmp/work/src/alsa-lib-1.2.8/include/pcm_extplug.h